Index: src/other/tkhtml/CMake/FindTCL.cmake
===================================================================
--- src/other/tkhtml/CMake/FindTCL.cmake	(revision 54114)
+++ src/other/tkhtml/CMake/FindTCL.cmake	(working copy)
@@ -240,13 +240,13 @@
 set(TCL_POSSIBLE_MINOR_VERSIONS 6 5 4 3 2 1 0)
 
 # Create the Tcl/Tk options if not already present
-OPTION(TK_NATIVE_GRAPHICS "Require native Tk graphics." OFF)
-OPTION(TK_X11_GRAPHICS "Require X11 Tk graphics." OFF)
-OPTION(TCL_USE_FRAMEWORK_ONLY "Don't use any Tcl/Tk installation that isn't a Framework." OFF)
-OPTION(TCL_REQUIRE_TK "Look for Tk installation, not just Tcl." ON)
-OPTION(TCL_REQUIRE_THREADS "Reject a Tcl/Tk installation unless threads are enabled." OFF)
-OPTION(TCL_NEED_HEADERS "Don't report a found Tcl/Tk unless headers are present." ON)
-OPTION(TCL_NEED_STUB_LIBS "Don't report a found Tcl/Tk unless the stub libraries are present." ON)
+option(TK_NATIVE_GRAPHICS "Require native Tk graphics." OFF)
+option(TK_X11_GRAPHICS "Require X11 Tk graphics." OFF)
+option(TCL_USE_FRAMEWORK_ONLY "Don't use any Tcl/Tk installation that isn't a Framework." OFF)
+option(TCL_REQUIRE_TK "Look for Tk installation, not just Tcl." ON)
+option(TCL_REQUIRE_THREADS "Reject a Tcl/Tk installation unless threads are enabled." OFF)
+option(TCL_NEED_HEADERS "Don't report a found Tcl/Tk unless headers are present." ON)
+option(TCL_NEED_STUB_LIBS "Don't report a found Tcl/Tk unless the stub libraries are present." ON)
 
 # Sanity check the settings - can't require both Native and X11 if X11 isn't
 # the native windowing system on the platform
@@ -282,7 +282,7 @@
 macro(TK_GRAPHICS_SYSTEM wishcmd resultvar)
   set(${resultvar} "wm-NOTFOUND")
   file(WRITE ${tkwin_scriptfile} ${tkwin_script})
-  EXEC_PROGRAM(${wishcmd} ARGS ${tkwin_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+  exec_program(${wishcmd} ARGS ${tkwin_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
   file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TK_WINDOWINGSYSTEM readresultvar)
   string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 endmacro()
@@ -300,7 +300,7 @@
 macro(TCL_GET_VERSION tclshcmd resultvar)
   set(${resultvar} "NOTFOUND")
   file(WRITE ${tclversion_scriptfile} ${tclversion_script})
-  EXEC_PROGRAM(${tclshcmd} ARGS ${tclversion_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+  exec_program(${tclshcmd} ARGS ${tclversion_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
   file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TCL_VERSION readresultvar)
   string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 endmacro()
@@ -318,7 +318,7 @@
 	macro(TCL_ISTHREADED tclshcmd resultvar)
 	  set(${resultvar} "NOTFOUND")
 	  file(WRITE ${tclthreaded_scriptfile} ${tclthreaded_script})
-	  EXEC_PROGRAM(${tclshcmd} ARGS ${tclthreaded_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
+	  exec_program(${tclshcmd} ARGS ${tclthreaded_scriptfile} OUTPUT_VARIABLE EXECOUTPUT)
 	  file(READ ${CMAKE_BINARY_DIR}/CMakeTmp/TCL_THREADED readresultvar)
 	  string(REGEX REPLACE "\n" "" "${resultvar}" "${readresultvar}")
 	endmacro()
@@ -488,10 +488,10 @@
 	      foreach(SPATH ${${pathnames}})
 		set(TCL_CURRENTPATH TCL-NOTFOUND)
 		set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+		validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 		if(dosearch)
-		  FIND_PROGRAM_PATHS(BIN_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
-		  FIND_LIBRARY_PATHS(LIB_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		  find_program_paths(BIN_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		  find_library_paths(LIB_POSSIBLE_PATHS SPATH ${MAJORNUM} ${MINORNUM})
 		  foreach(targetbin ${targetbinnames})
 		    if(TCL_CURRENTPATH MATCHES "NOTFOUND$")
 		      find_program(TCL_CURRENTPATH NAMES ${targetbin}${MAJORNUM}.${MINORNUM} ${targetbin}${MAJORNUM}${MINORNUM} PATHS ${BIN_POSSIBLE_PATHS} ${options})
@@ -529,7 +529,7 @@
 	    foreach(MAJORNUM ${TCL_POSSIBLE_MAJOR_VERSIONS})
 	      foreach(MINORNUM ${TCL_POSSIBLE_MINOR_VERSIONS})
 		set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		VALIDATE_VERSION(isvalid ${CURRENT_SEARCH_VERSION})
+		validate_version(isvalid ${CURRENT_SEARCH_VERSION})
 		if(isvalid)
 		  foreach(genpath ${CONFIG_SEARCH_PATHS})
 		    set(CONFGENPATHS "${CONFGENPATHS};${genpath}${MAJORNUM}${MINORNUM};${genpath}${MAJORNUM}.${MINORNUM}")
@@ -619,7 +619,7 @@
 	#-----------------------------------------------------------------------------
 
 	macro(READ_TCLCONFIG_FILE tclconffile)
-	  RESET_TCL_VARS()
+	  reset_tcl_vars()
 	  set(TCL_CONF_FILE "")
 	  file(READ ${tclconffile} TCL_CONF_FILE)
 	  string(REGEX REPLACE "\r?\n" ";" ENT "${TCL_CONF_FILE}")
@@ -646,15 +646,15 @@
 		set(TCL_EXE_SUFFIX "")
 	      endif(MSVC)
 	      string(REGEX REPLACE ".*TCL_EXEC_PREFIX='(.+)'.*" "\\1" TCL_TCLSH_EXECUTABLE ${line})
-	      IF (EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      if (EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh-${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}${TCL_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
+	      elseif(EXISTS "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
 		set(TCL_TCLSH_EXECUTABLE "${TCL_TCLSH_EXECUTABLE}/bin/tclsh")
 	      endif()
 	    endif()
@@ -669,7 +669,7 @@
 
 
 	macro(READ_TKCONFIG_FILE tkconffile)
-	  RESET_TK_VARS()
+	  reset_tk_vars()
 	  set(TK_CONF_FILE "")
 	  file(READ ${tkconffile} TK_CONF_FILE)
 	  string(REGEX REPLACE "\r?\n" ";" ENT "${TK_CONF_FILE}")
@@ -696,15 +696,15 @@
 		set(TK_EXE_SUFFIX "")
 	      endif(MSVC)
 	      string(REGEX REPLACE ".*TK_EXEC_PREFIX='(.+)'.*" "\\1" TCL_WISH_EXECUTABLE ${line})
-	      IF (EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      if (EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish-${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}${TK_EXE_SUFFIX}")
-	      ELSEif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish")
+	      elseif(EXISTS "${TCL_WISH_EXECUTABLE}/bin/wish")
 		set(TCL_WISH_EXECUTABLE "${TCL_WISH_EXECUTABLE}/bin/wish")
 	      endif()
 	    endif()
@@ -723,16 +723,16 @@
 
 	macro(VALIDATE_TCL validvar)
 	  set(${validvar} 1)
-	  VALIDATE_TCL_VARIABLES(${validvar})
+	  validate_tcl_variables(${validvar})
 	  if(TCL_TCLSH_EXECUTABLE)
-	    TCL_GET_VERSION(${TCL_TCLSH_EXECUTABLE} CURRENT_SEARCH_VERSION)
-	    VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+	    tcl_get_version(${TCL_TCLSH_EXECUTABLE} CURRENT_SEARCH_VERSION)
+	    validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 	    if(NOT dosearch)
 	      set(${validvar} 0)
 	    endif(NOT dosearch)
 	  endif(TCL_TCLSH_EXECUTABLE)
 	  if(TCL_REQUIRE_THREADS AND TCL_TCLSH_EXECUTABLE)
-	    TCL_ISTHREADED(${TCL_TCLSH_EXECUTABLE} TCL_THREADS)
+	    tcl_isthreaded(${TCL_TCLSH_EXECUTABLE} TCL_THREADS)
 	    if(NOT TCL_THREADS)
 	      set(${validvar} 0)
 	    endif(NOT TCL_THREADS)
@@ -741,9 +741,9 @@
 
 	macro(VALIDATE_TK validvar)
 	  set(${validvar} 1)
-	  VALIDATE_TK_VARIABLES(${validvar})
+	  validate_tk_variables(${validvar})
 	  if(TK_NATIVE_GRAPHICS OR TK_X11_GRAPHICS)
-	    TK_GRAPHICS_SYSTEM(${TCL_WISH_EXECUTABLE} TK_SYSTEM_GRAPHICS)
+	    tk_graphics_system(${TCL_WISH_EXECUTABLE} TK_SYSTEM_GRAPHICS)
 	    if(APPLE AND TK_NATIVE_GRAPHICS)
 	      if(NOT ${TK_SYSTEM_GRAPHICS} MATCHES "aqua")
 		set(${validvar} 0)
@@ -852,19 +852,19 @@
 	    set(TCL_PREFIX_LIBDIRS ${TCL_PREFIX_LIBDIRS} ${TCL_LIB_PATH_PARENT}/lib)
 	    set(TCL_PREFIX_LIBDIRS ${TCL_PREFIX_LIBDIRS} ${TCL_LIB_PATH_PARENT})
 	    list(REMOVE_DUPLICATES TCL_PREFIX_LIBDIRS)
-	    FIND_LIBRARY_VERSIONS(tcl TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
+	    find_library_versions(tcl TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
 	    set(FOUND_FILES "${TCL_tcl_LIST}")
-	    FIND_CONFIG_FILES(FOUND_FILES TCLCONFIG_LIST tclConfig.sh)
+	    find_config_files(FOUND_FILES TCLCONFIG_LIST tclConfig.sh)
 	    if(TCL_REQUIRE_TK)
-	      FIND_LIBRARY_VERSIONS(tk TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
+	      find_library_versions(tk TCL_PREFIX_LIBDIRS NO_SYSTEM_PATH)
 	      set(FOUND_FILES "${TCL_tk_LIST}")
-	      FIND_CONFIG_FILES(FOUND_FILES TKCONFIG_LIST tkConfig.sh)
+	      find_config_files(FOUND_FILES TKCONFIG_LIST tkConfig.sh)
 	    endif(TCL_REQUIRE_TK)
 	  else(TCL_PREFIX)
 	    set(TCLCONFIG_LIST "")
 	    if(APPLE)
 	      include(CMakeFindFrameworks)
-	      CMAKE_FIND_FRAMEWORKS(Tcl)
+	      cmake_find_frameworks(Tcl)
 	      foreach(dir ${Tcl_FRAMEWORKS})
 		set(tclconf "tclConfig.sh-NOTFOUND") 
 		find_file(tclconf tclConfig.sh PATHS ${dir})
@@ -874,7 +874,7 @@
 		endif(NOT tclconf MATCHES "NOTFOUND$")
 	      endforeach(dir ${Tcl_FRAMEWORKS})
 	      if(TCL_REQUIRE_TK)
-		CMAKE_FIND_FRAMEWORKS(Tk)
+		cmake_find_frameworks(Tk)
 		foreach(dir ${Tk_FRAMEWORKS})
 		  set(tkconf "tkConfig.sh-NOTFOUND") 
 		  find_file(tkconf tkConfig.sh PATHS ${dir})
@@ -889,7 +889,7 @@
 	      set(PATHLIST "$ENV{LD_LIBRARY_PATH}:$ENV{DYLD_LIBRARY_PATH}:$ENV{DYLD_FALLBACK_LIBRARY_PATH}:$ENV{PATH}")
 	      set(PATHLIST "${TCL_ADDITIONAL_SEARCH_PATHS}:${PATHLIST}")
 	      if(WIN32)
-		WIN32TCLPATHS(PATHLIST "")
+		win32tclpaths(PATHLIST "")
 	      endif(WIN32)
 	      string(REGEX REPLACE "/s?bin:" ":" PATHLIST "${PATHLIST}")
 	      string(REGEX REPLACE "/s?bin;" ":" PATHLIST "${PATHLIST}")
@@ -906,41 +906,41 @@
 	      endforeach()
 	      set(TCLPATHLIST "${PATHLIST}")
 	      set(TKPATHLIST "${PATHLIST}")
-	      FIND_POSSIBLE_PATHS("tclsh" "tcl" TCLPATHLIST NO_SYSTEM_PATH)
+	      find_possible_paths("tclsh" "tcl" TCLPATHLIST NO_SYSTEM_PATH)
 	      if(TCL_REQUIRE_TK)
-		FIND_POSSIBLE_PATHS("wish" "tk" TKPATHLIST NO_SYSTEM_PATH)
+		find_possible_paths("wish" "tk" TKPATHLIST NO_SYSTEM_PATH)
 	      endif(TCL_REQUIRE_TK)
 	      # Hunt up tclConfig.sh files
-	      FIND_CONFIG_FILES(TCLPATHLIST TCLCONFIG_LIST tclConfig.sh)
+	      find_config_files(TCLPATHLIST TCLCONFIG_LIST tclConfig.sh)
 	      # Hunt up tkConfig.sh files 
-	      FIND_CONFIG_FILES(TKPATHLIST TKCONFIG_LIST tkConfig.sh)
+	      find_config_files(TKPATHLIST TKCONFIG_LIST tkConfig.sh)
 	    endif(NOT APPLE OR NOT TCL_USE_FRAMEWORK_ONLY)
 	  endif(TCL_PREFIX)
 	  set(TCLVALID 0)
-	  RESET_TCL_VARS()
+	  reset_tcl_vars()
 	  foreach(tcl_config_file ${TCLCONFIG_LIST}) 
 	    if(NOT TCLVALID)
-	      RESET_TCL_VARS()
-	      READ_TCLCONFIG_file(${tcl_config_file})
+	      reset_tcl_vars()
+	      read_tclconfig_file(${tcl_config_file})
 	      set(TCLVALID 1)
 	      set(CURRENTTCLVERSION "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
-	      VALIDATE_VERSION(TCLVALID ${CURRENTTCLVERSION})
+	      validate_version(TCLVALID ${CURRENTTCLVERSION})
 	      if(TCLVALID)
 		get_filename_component(TCL_CONF_PREFIX "${tcl_config_file}" PATH)
 		get_filename_component(TCL_LIBRARY_DIR2 "${TCL_CONF_PREFIX}" PATH)
-		FIND_LIBRARY_PATHS(TCL_LIBRARY_SEARCH_PATHS TCL_PREFIX ${TCL_VERSION_MAJOR} ${TCL_VERSION_MINOR})
+		find_library_paths(TCL_LIBRARY_SEARCH_PATHS TCL_PREFIX ${TCL_VERSION_MAJOR} ${TCL_VERSION_MINOR})
 		set(TCL_LIBRARY_SEARCH_PATHS "${TCL_CONF_PREFIX};${TCL_LIBRARY_DIR2};${TCL_LIBRARY_SEARCH_PATHS}")
 		find_library(TCL_LIBRARY tcl Tcl tcl${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} tcl${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR} PATHS ${TCL_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 		find_library(TCL_STUB_LIBRARY tclstub${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR} tclstub${TCL_VERSION_MAJOR}${TCL_VERSION_MINOR} PATHS ${TCL_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 	      endif(TCLVALID)
-	      VALIDATE_TCL(TCLVALID)
+	      validate_tcl(TCLVALID)
 	      if(TCLVALID)
 		if(TCL_REQUIRE_TK)
 		  set(TKVALID 0)
 		  foreach(tk_config_file ${TKCONFIG_LIST})
 		    if(NOT TKVALID)
-		      RESET_TK_VARS()
-		      READ_TKCONFIG_file(${tk_config_file})
+		      reset_tk_vars()
+		      read_tkconfig_file(${tk_config_file})
 		      set(TKVALID 0)
 		      set(CURRENTTKVERSION "${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}.${TK_VERSION_PATCH}")
 		      set(vtcltkcompare 0)
@@ -952,18 +952,18 @@
 		      if(TKVALID)
 			get_filename_component(TCL_TK_CONF_PREFIX "${tk_config_file}" PATH)
 			get_filename_component(TCL_TK_LIBRARY_DIR2 "${TCL_TK_CONF_PREFIX}" PATH)
-			FIND_LIBRARY_PATHS(TCL_TK_LIBRARY_SEARCH_PATHS TK_PREFIX ${TK_VERSION_MAJOR} ${TK_VERSION_MINOR})
+			find_library_paths(TCL_TK_LIBRARY_SEARCH_PATHS TK_PREFIX ${TK_VERSION_MAJOR} ${TK_VERSION_MINOR})
 			set(TCL_TK_LIBRARY_SEARCH_PATHS "${TCL_TK_CONF_PREFIX};${TCL_TK_LIBRARY_DIR2};${TCL_TK_LIBRARY_SEARCH_PATHS}")
 			find_library(TCL_TK_LIBRARY tk Tk tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR} tk${TK_VERSION_MAJOR}${TK_VERSION_MINOR} PATHS ${TCL_TK_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
 			find_library(TCL_TK_STUB_LIBRARY tkstub tkstub${TK_VERSION_MAJOR}.${TK_VERSION_MINOR} tkstub${TK_VERSION_MAJOR}${TK_VERSION_MINOR} PATHS ${TCL_TK_LIBRARY_SEARCH_PATHS} NO_SYSTEM_PATH)
-			VALIDATE_TK(TKVALID)
+			validate_tk(TKVALID)
 		      endif(TKVALID)
 		    endif(NOT TKVALID)
 		  endforeach(tk_config_file ${TKCONFIG_LIST})
 		  if(NOT TKVALID)
 		    set(TCLVALID 0)
-		    RESET_TCL_VARS()
-		    RESET_TK_VARS()
+		    reset_tcl_vars()
+		    reset_tk_vars()
 		  endif(NOT TKVALID)
 		endif(TCL_REQUIRE_TK)
 	      endif(TCLVALID)
@@ -983,29 +983,29 @@
 	      foreach(MINORNUM ${TCL_POSSIBLE_MINOR_VERSIONS})
 		foreach(SPATH ${PATHLIST})
 		  if(NOT TCLVALID)
-		    RESET_TCL_VARS()
+		    reset_tcl_vars()
 		    set(CURRENT_SEARCH_VERSION "${MAJORNUM}.${MINORNUM}")
-		    VALIDATE_VERSION(dosearch ${CURRENT_SEARCH_VERSION})
+		    validate_version(dosearch ${CURRENT_SEARCH_VERSION})
 		    if(dosearch)
-		      FIND_LIBRARY_PATHS(TCL_LIBRARY_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
-		      FIND_PROGRAM_PATHS(TCL_PROGRAM_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		      find_library_paths(TCL_LIBRARY_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
+		      find_program_paths(TCL_PROGRAM_SEARCH_PATHS SPATH ${MAJORNUM} ${MINORNUM})
 		      find_program(TCL_TCLSH_EXECUTABLE NAMES tclsh${MAJORNUM}.${MINORNUM} tclsh${MAJORNUM}${MINORNUM} PATHS ${TCL_PROGRAM_SEARCH_PATHS} NO_SYSTEM_PATH)
 		    endif(dosearch)
-		    VALIDATE_TCL(TCLVALID)
+		    validate_tcl(TCLVALID)
 		    if(TCLVALID)
 		      if(TCL_REQUIRE_TK)
 			set(TKVALID 0)
-			RESET_TK_VARS()
+			reset_tk_vars()
 			find_program(TCL_WISH_EXECUTABLE NAMES wish${MAJORNUM}.${MINORNUM} wish${MAJORNUM}${MINORNUM} PATHS ${TCL_PROGRAM_SEARCH_PATHS} NO_SYSTEM_PATH)
-			VALIDATE_TK(TKVALID)
+			validate_tk(TKVALID)
 			if(NOT TKVALID)
 			  set(TCLVALID 0)
-			  RESET_TCL_VARS()
-			  RESET_TK_VARS()
+			  reset_tcl_vars()
+			  reset_tk_vars()
 			endif(NOT TKVALID)	
 		      endif(TCL_REQUIRE_TK)
 		    else(TCLVALID)
-		      RESET_TCL_VARS()
+		      reset_tcl_vars()
 		    endif(TCLVALID)
 		  endif(NOT TCLVALID)
 		endforeach(SPATH ${PATHLIST})
@@ -1023,11 +1023,11 @@
 	  set(TCL_STUB_LIBRARIES ${TCL_STUB_LIBRARY} ${TK_STUB_LIBRARY})
 	  set(TCL_ROOT_PATH ${TCL_CONF_PREFIX})
 	  set(TCL_VERSION_STRING "${TCL_VERSION_MAJOR}.${TCL_VERSION_MINOR}.${TCL_VERSION_PATCH}")
-	  FIND_PACKAGE_HANDLE_STANDARD_ARGS(TCL DEFAULT_MSG TCL_LIBRARY ${PACKAGE_HANDLE_VARS})
+	  find_package_handle_standard_args(TCL DEFAULT_MSG TCL_LIBRARY ${PACKAGE_HANDLE_VARS})
 	  if(TCL_REQUIRE_TK)
 	    set(TK_FIND_QUIETLY ${TCL_FIND_QUIETLY})
 	    set(PACKAGE_HANDLE_VARS "${PACKAGE_HANDLE_VARS};TCL_LIBRARY")
-	    FIND_PACKAGE_HANDLE_STANDARD_ARGS(TK DEFAULT_MSG TCL_TK_LIBRARY ${PACKAGE_HANDLE_VARS})
+	    find_package_handle_standard_args(TK DEFAULT_MSG TCL_TK_LIBRARY ${PACKAGE_HANDLE_VARS})
 	  endif(TCL_REQUIRE_TK)
 
 	  foreach(pkgvar ${PACKAGE_HANDLE_VARS})
Index: src/other/jove/CMakeLists.txt
===================================================================
--- src/other/jove/CMakeLists.txt	(revision 54114)
+++ src/other/jove/CMakeLists.txt	(working copy)
@@ -10,7 +10,7 @@
   -DBRLCADBUILD=1
   )
 
-SET(JOVE_SRCS
+set(JOVE_SRCS
   jove_buf.c
   jove_c.c
   jove_delete.c
@@ -33,23 +33,23 @@
 
 add_executable(jove ${JOVE_SRCS})
 target_link_libraries(jove ${TERMLIB_LIBRARY})
-INSTALL(TARGETS jove DESTINATION bin)
+install(TARGETS jove DESTINATION bin)
 
-SET(findcom_SOURCES
+set(findcom_SOURCES
   findcom.c
   jove_tune.c
   )
 add_executable(findcom ${findcom_SOURCES})
-INSTALL(TARGETS findcom DESTINATION bin)
+install(TARGETS findcom DESTINATION bin)
 
-FILE(COPY jove.1 DESTINATION ${CMAKE_BINARY_DIR}/${MAN_DIR}/man1)
-INSTALL(FILES jove.1 DESTINATION	${MAN_DIR}/man1)
+file(COPY jove.1 DESTINATION ${CMAKE_BINARY_DIR}/${MAN_DIR}/man1)
+install(FILES jove.1 DESTINATION	${MAN_DIR}/man1)
 
-SET(jove_DATA
+set(jove_DATA
   describe.com
   jove.emacs
   jove-tutorial
   )
 
-FILE(COPY ${jove_DATA} DESTINATION ${CMAKE_BINARY_DIR}/${DATA_DIR}/jove)
-INSTALL(FILES ${jove_DATA} DESTINATION	${DATA_DIR}/jove)
+file(COPY ${jove_DATA} DESTINATION ${CMAKE_BINARY_DIR}/${DATA_DIR}/jove)
+install(FILES ${jove_DATA} DESTINATION	${DATA_DIR}/jove)
Index: src/other/tnt/CMakeLists.txt
===================================================================
--- src/other/tnt/CMakeLists.txt	(revision 54114)
+++ src/other/tnt/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
 
-SET(tnt_HEADERS
+set(tnt_HEADERS
 	jama_cholesky.h
 	jama_eig.h
 	jama_lu.h
@@ -29,4 +29,4 @@
 	tnt_vector.h
 	tnt_version.h
 )
-INSTALL(FILES ${tnt_HEADERS} DESTINATION include)
+install(FILES ${tnt_HEADERS} DESTINATION include)
Index: src/other/lemon/CMakeLists.txt
===================================================================
--- src/other/lemon/CMakeLists.txt	(revision 54114)
+++ src/other/lemon/CMakeLists.txt	(working copy)
@@ -1,11 +1,11 @@
 # Minimum required version of CMake
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
 # Set CMake project name
-PROJECT(LEMON)
+project(LEMON)
 
 add_executable(lemon lemon.c)
 # Install
Index: src/other/openNURBS/CMakeLists.txt
===================================================================
--- src/other/openNURBS/CMakeLists.txt	(revision 54114)
+++ src/other/openNURBS/CMakeLists.txt	(working copy)
@@ -1,12 +1,12 @@
 # build shared libs by default
-IF(NOT DEFINED BUILD_SHARED_LIBS)
+if(NOT DEFINED BUILD_SHARED_LIBS)
   set(BUILD_SHARED_LIBS ON)
-ENDIF(NOT DEFINED BUILD_SHARED_LIBS)
+endif(NOT DEFINED BUILD_SHARED_LIBS)
 
 # build static libs by default
-IF(NOT DEFINED BUILD_STATIC_LIBS)
+if(NOT DEFINED BUILD_STATIC_LIBS)
   set(BUILD_STATIC_LIBS ON)
-ENDIF(NOT DEFINED BUILD_STATIC_LIBS)
+endif(NOT DEFINED BUILD_STATIC_LIBS)
 
 set(OPENNURBS_SOURCES
 opennurbs_3dm_attributes.cpp
@@ -119,7 +119,7 @@
 opennurbs_zlib.cpp
   )
 
-SET(OPENNURBS_HEADERS
+set(OPENNURBS_HEADERS
 opennurbs.h
 opennurbs_3dm.h
 opennurbs_3dm_attributes.h
@@ -227,14 +227,14 @@
 opennurbs_zlib.h
   )
 
-SET(ON_DLL_HEADERS
+set(ON_DLL_HEADERS
   opennurbs_dll_resource.h
   )
 
-INCLUDE(CheckIncludeFiles)
-CHECK_INCLUDE_FILE(emmintrin.h HAVE_EMMINTRIN_H)
-CHECK_INCLUDE_FILE(ieeefp.h HAVE_IEEEFP_H)
-CHECK_INCLUDE_FILE(sys/stat.h HAVE_SYS_STAT_H)
+include(CheckIncludeFiles)
+check_include_file(emmintrin.h HAVE_EMMINTRIN_H)
+check_include_file(ieeefp.h HAVE_IEEEFP_H)
+check_include_file(sys/stat.h HAVE_SYS_STAT_H)
 if(HAVE_EMMINTRIN_H)
   add_definitions(-DHAVE_EMMINTRIN_H)
 endif(HAVE_EMMINTRIN_H)
@@ -245,15 +245,15 @@
   add_definitions(-DHAVE_SYS_STAT_H)
 endif(HAVE_SYS_STAT_H)
 
-IF(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY AND ${CMAKE_PROJECT_NAME}_ZLIB_BUILD AND NOT ${CMAKE_PROJECT_NAME}-ENABLE_SYSTEM_LIBS_ONLY)
+if(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY AND ${CMAKE_PROJECT_NAME}_ZLIB_BUILD AND NOT ${CMAKE_PROJECT_NAME}-ENABLE_SYSTEM_LIBS_ONLY)
   set(OPENNURBS_LINKLIBRARIES
     zlib-static
     )
-ELSE(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY AND ${CMAKE_PROJECT_NAME}_ZLIB_BUILD AND NOT ${CMAKE_PROJECT_NAME}-ENABLE_SYSTEM_LIBS_ONLY)
+else(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY AND ${CMAKE_PROJECT_NAME}_ZLIB_BUILD AND NOT ${CMAKE_PROJECT_NAME}-ENABLE_SYSTEM_LIBS_ONLY)
   set(OPENNURBS_LINKLIBRARIES
     ${ZLIB_LIBRARY}
     )
-ENDIF(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY AND ${CMAKE_PROJECT_NAME}_ZLIB_BUILD AND NOT ${CMAKE_PROJECT_NAME}-ENABLE_SYSTEM_LIBS_ONLY)
+endif(BUILD_STATIC_LIBS AND BRLCAD_ENABLE_BRLCAD_LIBRARY AND ${CMAKE_PROJECT_NAME}_ZLIB_BUILD AND NOT ${CMAKE_PROJECT_NAME}-ENABLE_SYSTEM_LIBS_ONLY)
 
 # Ideally, we should only need ZLIB here
 include_directories(
@@ -266,7 +266,7 @@
     -DON_COMPILING_OPENNURBS
     -DON_DLL_EXPORTS
     )
-  SET(OPENNURBS_HEADERS "${OPENNURBS_HEADERS};${ON_DLL_HEADERS}")
+  set(OPENNURBS_HEADERS "${OPENNURBS_HEADERS};${ON_DLL_HEADERS}")
 else (MSVC)
   add_definitions(
     -DON_COMPILING_OPENNURBS
@@ -285,28 +285,28 @@
     )
 endif(MSVC)
 
-IF(BUILD_SHARED_LIBS)
+if(BUILD_SHARED_LIBS)
   add_library(openNURBS SHARED ${OPENNURBS_SOURCES})
   target_link_libraries(openNURBS ${OPENNURBS_LINKLIBRARIES})
   set_property(TARGET openNURBS PROPERTY LINK_INTERFACE_LIBRARIES "")
-  SET_TARGET_PROPERTIES(openNURBS PROPERTIES VERSION "2010.04.95")
+  set_target_properties(openNURBS PROPERTIES VERSION "2010.04.95")
   install(TARGETS openNURBS
 	  RUNTIME DESTINATION ${BIN_DIR}
 	  LIBRARY DESTINATION ${LIB_DIR}
 	  ARCHIVE DESTINATION ${LIB_DIR})
-ENDIF(BUILD_SHARED_LIBS)
-IF(NOT MSVC)
-  IF(BUILD_STATIC_LIBS)
+endif(BUILD_SHARED_LIBS)
+if(NOT MSVC)
+  if(BUILD_STATIC_LIBS)
     add_library(openNURBS-static STATIC ${OPENNURBS_SOURCES})
     target_link_libraries(openNURBS-static ${OPENNURBS_LINKLIBRARIES})
-    IF(NOT WIN32)
-      SET_TARGET_PROPERTIES(openNURBS-static PROPERTIES OUTPUT_NAME "openNURBS")
-    ENDIF(NOT WIN32)
+    if(NOT WIN32)
+      set_target_properties(openNURBS-static PROPERTIES OUTPUT_NAME "openNURBS")
+    endif(NOT WIN32)
     install(TARGETS openNURBS-static
 	    RUNTIME DESTINATION ${BIN_DIR}
 	    LIBRARY DESTINATION ${LIB_DIR}
 	    ARCHIVE DESTINATION ${LIB_DIR})
-  ENDIF(BUILD_STATIC_LIBS)
-ENDIF(NOT MSVC)
+  endif(BUILD_STATIC_LIBS)
+endif(NOT MSVC)
 
 install(FILES ${OPENNURBS_HEADERS} DESTINATION include/openNURBS)
Index: src/other/step/src/cleditor/CMakeLists.txt
===================================================================
--- src/other/step/src/cleditor/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/cleditor/CMakeLists.txt	(working copy)
@@ -9,7 +9,7 @@
     SdaiSchemaInit.cc
 )
 
-SET(LIBSTEPEDITOR_PRIVATE_HDRS
+set(LIBSTEPEDITOR_PRIVATE_HDRS
     STEPfile.h
     cmdmgr.h
     editordefines.h
@@ -27,4 +27,4 @@
     ${SCL_SOURCE_DIR}/src/clutils
 )
 
-SCL_ADDLIB(stepeditor "${LIBSTEPEDITOR_SRCS}" "stepcore;stepdai;steputils;base")
+scl_addlib(stepeditor "${LIBSTEPEDITOR_SRCS}" "stepcore;stepdai;steputils;base")
Index: src/other/step/src/express/CMakeLists.txt
===================================================================
--- src/other/step/src/express/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/express/CMakeLists.txt	(working copy)
@@ -24,9 +24,9 @@
 # Depending on whether we're using pre-generated sources or building them on
 # the fly, set up targets and source lists.
 if(SCL_GENERATE_LP_SOURCES)
-  LEMON_TARGET(ExpParser expparse.y expparse.c expparse.h)
-  PERPLEX_TARGET(ExpScanner expscan.l ${CMAKE_CURRENT_BINARY_DIR}/expscan.c ${CMAKE_CURRENT_BINARY_DIR}/expscan.h)
-  ADD_PERPLEX_LEMON_DEPENDENCY(ExpScanner ExpParser)
+  lemon_target(ExpParser expparse.y expparse.c expparse.h)
+  perplex_target(ExpScanner expscan.l ${CMAKE_CURRENT_BINARY_DIR}/expscan.c ${CMAKE_CURRENT_BINARY_DIR}/expscan.h)
+  add_perplex_lemon_dependency(ExpScanner ExpParser)
   set(EXPRESS_GENERATED_SRCS
     ${LEMON_ExpParser_OUTPUT_SOURCE}
     ${PERPLEX_ExpScanner_OUTPUTS}
@@ -102,20 +102,20 @@
 # fedex.c's main() into an express library function. That way, programs only
 # need to link against express (not fedex.o too) and they can do initialization
 # in their own main (instead of in a local EXPRESSinit_init definition).
-SET(CHECK_EXPRESS_SOURCES
+set(CHECK_EXPRESS_SOURCES
   fedex.c
   inithook.c
   )
 
-SET(EXPRESS_PRIVATE_HDRS
+set(EXPRESS_PRIVATE_HDRS
   exptoks.h
   stack.h
   )
 
-SCL_ADDLIB(express "${EXPRESS_SOURCES}" "base")
+scl_addlib(express "${EXPRESS_SOURCES}" "base")
 add_dependencies(express express_verify)
 add_dependencies(express version_string)
-SCL_ADDEXEC("check-express" "${CHECK_EXPRESS_SOURCES}" "express;base" )
+scl_addexec("check-express" "${CHECK_EXPRESS_SOURCES}" "express;base" )
 
 # Local Variables:
 # tab-width: 8
Index: src/other/step/src/base/CMakeLists.txt
===================================================================
--- src/other/step/src/base/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/base/CMakeLists.txt	(working copy)
@@ -14,4 +14,4 @@
 	add_definitions( -DSCL_MEMMGR_ENABLE_CHECKS )
 endif()
 
-SCL_ADDLIB(base "${SCL_BASE_SOURCES}" "")
+scl_addlib(base "${SCL_BASE_SOURCES}" "")
Index: src/other/step/src/cldai/CMakeLists.txt
===================================================================
--- src/other/step/src/cldai/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/cldai/CMakeLists.txt	(working copy)
@@ -13,7 +13,7 @@
     sdaiString.cc
 )
 
-SET(LIBSTEPDAI_PRIVATE_HDRS
+set(LIBSTEPDAI_PRIVATE_HDRS
     sdaiApplication_instance_set.h
     sdaiBinary.h
     sdaiDaObject.h
@@ -34,4 +34,4 @@
     ${SCL_SOURCE_DIR}/src/clutils
 )
 
-SCL_ADDLIB(stepdai "${LIBSTEPDAI_SRCS}" "steputils;base")
+scl_addlib(stepdai "${LIBSTEPDAI_SRCS}" "steputils;base")
Index: src/other/step/src/exppp/CMakeLists.txt
===================================================================
--- src/other/step/src/exppp/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/exppp/CMakeLists.txt	(working copy)
@@ -2,7 +2,7 @@
     exppp.c
 )
 
-SET(EXPPP_SOURCES
+set(EXPPP_SOURCES
     ../express/fedex.c
     exppp-main.c
 )
@@ -17,7 +17,7 @@
     add_definitions( -D__STDC__ )
 endif()
 
-SCL_ADDLIB(libexppp "${LIBEXPPP_SOURCES}" "express;base")
+scl_addlib(libexppp "${LIBEXPPP_SOURCES}" "express;base")
 set_target_properties(libexppp PROPERTIES PREFIX "")
 
-SCL_ADDEXEC(exppp "${EXPPP_SOURCES}" "libexppp;express;base")
+scl_addexec(exppp "${EXPPP_SOURCES}" "libexppp;express;base")
Index: src/other/step/src/fedex_python/CMakeLists.txt
===================================================================
--- src/other/step/src/fedex_python/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/fedex_python/CMakeLists.txt	(working copy)
@@ -31,7 +31,7 @@
     ../fedex_plus/write.cc 
     ../fedex_plus/print.cc
 )
-SCL_ADDEXEC(fedex_python "${fedex_python_SOURCES}" "libexppp;express;base")
+scl_addexec(fedex_python "${fedex_python_SOURCES}" "libexppp;express;base")
 
 add_dependencies( fedex_python version_string )
 endif(SCL_PYTHON_GENERATOR)
Index: src/other/step/src/fedex_plus/CMakeLists.txt
===================================================================
--- src/other/step/src/fedex_plus/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/fedex_plus/CMakeLists.txt	(working copy)
@@ -31,6 +31,6 @@
     ${SCL_SOURCE_DIR}/src/base
 )
 
-SCL_ADDEXEC(fedex_plus "${fedex_plus_SOURCES}" "libexppp;express;base")
+scl_addexec(fedex_plus "${fedex_plus_SOURCES}" "libexppp;express;base")
 
 add_dependencies( fedex_plus version_string )
Index: src/other/step/src/clutils/CMakeLists.txt
===================================================================
--- src/other/step/src/clutils/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/clutils/CMakeLists.txt	(working copy)
@@ -9,7 +9,7 @@
     errordesc.cc
 )
 
-SET(LIBSTEPUTILS_PRIVATE_HDRS
+set(LIBSTEPUTILS_PRIVATE_HDRS
     dirobj.h
     errordesc.h
     gennodearray.h
@@ -25,8 +25,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
-SCL_ADDLIB(steputils "${LIBSTEPUTILS_SRCS}" "base")
+scl_addlib(steputils "${LIBSTEPUTILS_SRCS}" "base")
 
-IF(MINGW OR MSVC OR BORLAND)
-    TARGET_LINK_LIBRARIES(steputils shlwapi.lib)
-ENDIF()
+if(MINGW OR MSVC OR BORLAND)
+    target_link_libraries(steputils shlwapi.lib)
+endif()
Index: src/other/step/src/clstepcore/CMakeLists.txt
===================================================================
--- src/other/step/src/clstepcore/CMakeLists.txt	(revision 54114)
+++ src/other/step/src/clstepcore/CMakeLists.txt	(working copy)
@@ -34,7 +34,7 @@
     needFunc.cc
 )
 
-SET(LIBSTEPCORE_PRIVATE_HDRS
+set(LIBSTEPCORE_PRIVATE_HDRS
     baseType.h
     complexSupport.h
     dictdefs.h
@@ -67,4 +67,4 @@
     ${SCL_SOURCE_DIR}/src/clutils
 )
 
-SCL_ADDLIB(stepcore "${LIBSTEPCORE_SRCS}" "express;steputils;stepdai;base")
+scl_addlib(stepcore "${LIBSTEPCORE_SRCS}" "express;steputils;stepdai;base")
Index: src/other/step/doc/CMakeLists.txt
===================================================================
--- src/other/step/doc/CMakeLists.txt	(revision 54114)
+++ src/other/step/doc/CMakeLists.txt	(working copy)
@@ -1,4 +1,4 @@
-SET(scl_MANS
+set(scl_MANS
 	man/man1/dataprobe.1 
 	man/man1/fedex.1 
 	man/man1/fedex_plus.1 
@@ -9,6 +9,6 @@
   set(MAN_DIR share/man)
 endif(NOT DEFINED MAN_DIR)
 
-IF(NOT WIN32)
-  INSTALL(FILES ${scl_MANS} DESTINATION ${MAN_DIR}/man1)
-ENDIF(NOT WIN32)
+if(NOT WIN32)
+  install(FILES ${scl_MANS} DESTINATION ${MAN_DIR}/man1)
+endif(NOT WIN32)
